commit: 973f85b4c8d1e415d8551485fc81b9f8fdea6896
Author: Harald Judt <h.judt <AT> gmx <DOT> at>
AuthorDate: Tue Jun 2 19:07:51 2020 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Jul 29 07:29:34 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=973f85b4
media-tv/tvbrowser-bin: Bump version to 4.2.1 (bug #696754)
Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Harald Judt <h.judt <AT> gmx.at>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
media-tv/tvbrowser-bin/Manifest | 1 +
media-tv/tvbrowser-bin/files/tvbrowser | 28 ++++++++++++++++
media-tv/tvbrowser-bin/tvbrowser-bin-4.2.1.ebuild | 39 +++++++++++++++++++++++
3 files changed, 68 insertions(+)
diff --git a/media-tv/tvbrowser-bin/Manifest b/media-tv/tvbrowser-bin/Manifest
index bd73ea9b7bd..70637f7aea7 100644
--- a/media-tv/tvbrowser-bin/Manifest
+++ b/media-tv/tvbrowser-bin/Manifest
@@ -1 +1,2 @@
+DIST tvbrowser-bin-4.2.1.tar.gz 5488609 BLAKE2B
7a40c202cd46be7a87f8179c9924ba976aba2fd50d976a3737180a6d53e8c2bfc63e6d72e95275072223b150e3f47e5839e29497fc332e86520b6ccd5fd5ac36
SHA512
c2d0ff4124c3409c73b3e01969dc88abd5652c1ff2df177044827811345343ac47641acc288c9100e0b9dc690bb5544ef41f70299728cb9322f3b3bb51c0da0e
DIST tvbrowser_4.0.1_bin.tar.gz 7226562 BLAKE2B
30dca72b982a0ac4c8e90bc27a066fd52d5bf3f92b07b66384657c96dfc877a7524fad0f634f35ba33ad53cbe341dea6e054f99688d456af2df0770ba7c3d0e5
SHA512
7c509df05c0b66d96428eb1850cabf353ef7a33b902abab05717a768b3f195b60d0033a680beae3ab6f8ea8c0d9deb77fd3c8c1ce15d05af58f27418759fd01f
diff --git a/media-tv/tvbrowser-bin/files/tvbrowser
b/media-tv/tvbrowser-bin/files/tvbrowser
new file mode 100644
index 00000000000..5222bd3b814
--- /dev/null
+++ b/media-tv/tvbrowser-bin/files/tvbrowser
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+# These variables are induced by the ebuild during the build process
+P=
+JAVA_SLOT=
+
+POSSIBLE_JAVA_PROGRAM_DIRS=(
+ /usr/lib*/openjdk-${JAVA_SLOT}
+ /opt/openjdk-bin-${JAVA_SLOT}
+ /opt/openjdk-jre-bin-${JAVA_SLOT}
+)
+
+for POSSIBLE_DIR in ${POSSIBLE_JAVA_PROGRAM_DIRS[@]}; do
+ if [[ -x ${POSSIBLE_DIR}/bin/java ]]; then
+ export JAVA_PROGRAM_DIR="${POSSIBLE_DIR}/bin/"
+ break
+ fi
+done
+
+if [ -z "$JAVA_PROGRAM_DIR" ]; then
+ echo "Could not find a suitable Java ${JAVA_SLOT} installation!"
+ exit 1
+fi
+
+cd "/opt/${P}"
+echo ${JAVA_PROGRAM_DIR}java -Xms16m -Xmx1G --module-path="lib:tvbrowser.jar"
-Djava.library.path="./" -splash:imgs/splash.png
-Dpropertiesfile=linux.properties -m tvbrowser/tvbrowser.TVBrowser "$@"
+${JAVA_PROGRAM_DIR}java -Xms16m -Xmx1G --module-path="lib:tvbrowser.jar"
-Djava.library.path="./" -splash:imgs/splash.png
-Dpropertiesfile=linux.properties -m tvbrowser/tvbrowser.TVBrowser "$@"
+
diff --git a/media-tv/tvbrowser-bin/tvbrowser-bin-4.2.1.ebuild
b/media-tv/tvbrowser-bin/tvbrowser-bin-4.2.1.ebuild
new file mode 100644
index 00000000000..d5d998615c2
--- /dev/null
+++ b/media-tv/tvbrowser-bin/tvbrowser-bin-4.2.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit desktop
+
+DESCRIPTION="Themeable and easy to use TV Guide - written in Java"
+HOMEPAGE="https://www.tvbrowser.org"
+MY_PN="tvbrowser"
+SRC_URI="mirror://sourceforge/project/tvbrowser/TV-Browser%20Releases%20%28Java%2011%20and%20higher%29/${PV}/${MY_PN}_${PV}_bin.tar.gz
-> ${P}.tar.gz"
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+JAVA_SLOT=11
+RDEPEND="|| ( dev-java/openjdk:${JAVA_SLOT}
+ dev-java/openjdk-bin:${JAVA_SLOT}
+ dev-java/openjdk-jre-bin:${JAVA_SLOT} )"
+
+S="${WORKDIR}"/"${MY_PN}-${PV}"
+
+src_install() {
+ # Copy files and directories
+ insinto /opt/"${P}"
+ doins -r *
+
+ # Generate launcher
+ exeinto /opt/bin
+ sed -e "s/^P=.*\$/P=${P}/" \
+ -e "s/^JAVA_SLOT=.*\$/JAVA_SLOT=${JAVA_SLOT}/" \
+ "${FILESDIR}"/tvbrowser | \
+ newexe - tvbrowser || die
+
+ # Generate desktop entry
+ make_desktop_entry tvbrowser "TV-Browser" \
+ /opt/"${P}"/imgs/tvbrowser128.png \
+ "AudioVideo;TV;Video"
+}